<script setup lang="ts">
import { type Product } from '@/types/Product'

import ProductCard from './ProductCard.vue'
const props = defineProps<{
  products: Product[]
}>()

const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct
}>()
function selected(p: Product) {
  console.log(`ProductList` + p)
  emit('selectedProduct', p)
}
</script>
<template>
  <div>
    <v-container>
      <v-row>
        <v-col
          cols="12"
          md="4"
          sm="4"
          min-width="500"
          centered
          v-for="item of products"
          :key="item.id"
          align-tabs="center"
        >
          <ProductCard
            :product="item"
            @selected-product="selected"
            style="margin: auto"
          ></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
